## org.eclipse.datatools.connectivity.oda.design
Interface DataSetParameters

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DataSetParameters

extends org.eclipse.emf.ecore.EObject

A collection of top-level parameters defined for a data set. If the metadata can be derived, i.e. can be obtained by an ODA driver in each design session, an ODA host designer is not required to include the derived metadata in the next design session request. An ODA designer may ignore such metadata in a Request.

The following features are supported:

- `Parameter Definitions`
- `Derived Meta Data`

See Also:
  `DesignPackage.getDataSetParameters()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`org.eclipse.emf.common.util.EList<ParameterDefinition>` `getParameterDefinitions()` Returns the value of the 'Parameter Definitions' containment reference list.
`boolean` `isDerivedMetaData()` Returns the value of the 'Derived Meta Data' attribute.
`boolean` `isSetDerivedMetaData()` Returns whether the value of the '`Derived Meta Data`' attribute is set.
`void` `setDerivedMetaData(boolean value)` Sets the value of the '`Derived Meta Data`' attribute.
`void` `unsetDerivedMetaData()` Unsets the value of the '`Derived Meta Data`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getParameterDefinitions

    org.eclipse.emf.common.util.EList<ParameterDefinition> getParameterDefinitions()

  Returns the value of the 'Parameter Definitions' containment reference list. The list contents are of type `ParameterDefinition`.

  Returns:
    the value of the 'Parameter Definitions' containment reference list.
  See Also:
    `DesignPackage.getDataSetParameters_ParameterDefinitions()`

### isDerivedMetaData

    boolean isDerivedMetaData()

  Returns the value of the 'Derived Meta Data' attribute. The default value is `"true"`. If the metadata can be derived, i.e. can be obtained by an ODA driver in each design session, an ODA host designer is not required to include the derived metadata in the next design session request. An ODA designer may ignore such metadata in a Request.

  Returns:
    the value of the 'Derived Meta Data' attribute.
  See Also:
    `isSetDerivedMetaData()`, `unsetDerivedMetaData()`, `setDerivedMetaData(boolean)`, `DesignPackage.getDataSetParameters_DerivedMetaData()`

### setDerivedMetaData

    void setDerivedMetaData(boolean value)

  Sets the value of the '`Derived Meta Data`' attribute.

  Parameters:
    `value` - the new value of the 'Derived Meta Data' attribute.
  See Also:
    `isSetDerivedMetaData()`, `unsetDerivedMetaData()`, `isDerivedMetaData()`

### unsetDerivedMetaData

    void unsetDerivedMetaData()

  Unsets the value of the '`Derived Meta Data`' attribute.

  See Also:
    `isSetDerivedMetaData()`, `isDerivedMetaData()`, `setDerivedMetaData(boolean)`

### isSetDerivedMetaData

    boolean isSetDerivedMetaData()

  Returns whether the value of the '`Derived Meta Data`' attribute is set.

  Returns:
    whether the value of the 'Derived Meta Data' attribute is set.
  See Also:
    `unsetDerivedMetaData()`, `isDerivedMetaData()`, `setDerivedMetaData(boolean)`